Subject: bug#57246: biblatex don't recognize video type entry

From: Stefan Kangas <[email-masked]>
Date: Thu, 18 Aug 2022 02:08:08 -0700

Roland Winkler <[email-masked]> writes:

> Is there a possibility to declare the customizability of a variable
> obsolete?  bibtex-biblatex-entry-alist has been around as a user
> variable for more than ten years and bibtex-BibTeX-entry-alist for yet
> many more years.  I doubt that many people ever tried to customize these
> variables.  Still, if we add new dedicated user variables, it would be
> nice to tell users that the customization of the old variables has been
> depreciated.

No, but you can mark the variable itself obsolete.

IOW, you would mark the old variable as obsolete, add some way to handle
it for backwards-compatibility, then introduce the two new variables.

So if the new variables are named `bibtex-biblatex-entry-user-alist' and
`bibtex-biblatex-entry-default-alist':

    (make-obsolete-variable 'bibtex-biblatex-entry-alist
       bibtex-biblatex-entry-user-alist "29.1")